## org.apache.lucene.index.sorter
Class Sorter.DocComparator

    java.lang.Object
      org.apache.lucene.index.sorter.Sorter.DocComparator

Enclosing class:
  Sorter

    public abstract static class Sorter.DocComparator

extends Object

A comparator of doc IDs.

Constructor Summary
`Sorter.DocComparator()`

Method Summary
`abstract int` `compare(int docID1, int docID2)` Compare docID1 against docID2.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sorter.DocComparator

    public Sorter.DocComparator()

Method Detail

### compare

    public abstract int compare(int docID1,
                                int docID2)

  Compare docID1 against docID2. The contract for the return value is the same as `Comparator.compare(Object, Object)`.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.